Index: LMDZ6/branches/Portage_acc/libf/phylmd/create_etat0_unstruct.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/create_etat0_unstruct.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/create_etat0_unstruct.F90	(revision 4446)
@@ -53,4 +53,5 @@
   USE phys_state_var_mod
   USE indice_sol_mod
+  USE surface_data,      ONLY: landice_opt
   USE mod_phys_lmdz_para
   USE print_control_mod, ONLY: lunout
@@ -83,5 +84,5 @@
       CALL xios_recv_field("qs",qsol_mpi)
       CALL xios_recv_field("mask",zmasq_mpi)
-      CALL xios_recv_field("landice",lic_mpi)
+      IF (landice_opt .LT. 2) CALL xios_recv_field("landice",lic_mpi)
       CALL xios_recv_field("zmea",zmea_mpi)
       CALL xios_recv_field("zstd",zstd_mpi)
@@ -93,5 +94,5 @@
     CALL scatter_omp(qsol_mpi,qsol)
     CALL scatter_omp(zmasq_mpi,zmasq)
-    CALL scatter_omp(lic_mpi,lic)
+    IF (landice_opt .LT. 2) CALL scatter_omp(lic_mpi,lic)
     CALL scatter_omp(zmea_mpi,zmea)
     CALL scatter_omp(zstd_mpi,zstd)
@@ -110,25 +111,35 @@
 
     pctsrf(:,:) = 0
-    pctsrf(:,is_lic)=lic
-    WHERE(pctsrf(:,is_lic)<EPSFRA) pctsrf(:,is_lic)=0. 
-    WHERE(zmasq(:)<EPSFRA)         pctsrf(:,is_lic)=0.
-
-    pctsrf(:,is_ter)=zmasq(:)
-
-!--- Adequation with soil/sea mask
-    DO ji=1,klon
-      IF(zmasq(ji)>EPSFRA) THEN 
-        IF(pctsrf(ji,is_lic)>=zmasq(ji)) THEN
-          pctsrf(ji,is_lic)=zmasq(ji)
-          pctsrf(ji,is_ter)=0.
-        ELSE
-          pctsrf(ji,is_ter)=zmasq(ji)-pctsrf(ji,is_lic)
-          IF(pctsrf(ji,is_ter)<EPSFRA) THEN
-            pctsrf(ji,is_ter)=0.
-            pctsrf(ji,is_lic)=zmasq(ji)
-          END IF 
-        END IF 
-      END IF 
-    END DO 
+    IF (landice_opt .LT. 2) THEN
+       pctsrf(:,is_lic)=lic
+       WHERE(pctsrf(:,is_lic)<EPSFRA) pctsrf(:,is_lic)=0.
+       WHERE(zmasq(:)<EPSFRA)         pctsrf(:,is_lic)=0.
+
+       pctsrf(:,is_ter)=zmasq(:)
+       
+       !--- Adequation with soil/sea mask
+       DO ji=1,klon
+          IF(zmasq(ji)>EPSFRA) THEN 
+             IF(pctsrf(ji,is_lic)>=zmasq(ji)) THEN
+                pctsrf(ji,is_lic)=zmasq(ji)
+                pctsrf(ji,is_ter)=0.
+             ELSE
+                pctsrf(ji,is_ter)=zmasq(ji)-pctsrf(ji,is_lic)
+                IF(pctsrf(ji,is_ter)<EPSFRA) THEN
+                   pctsrf(ji,is_ter)=0.
+                   pctsrf(ji,is_lic)=zmasq(ji)
+                END IF
+             END IF
+          END IF
+       END DO
+   
+    ELSE
+       ! landice_opt=>2 : no land ice
+       pctsrf(:,is_lic)=0.0
+       pctsrf(:,is_ter)=zmasq(:)
+    END IF
+
+
+
 
 
Index: LMDZ6/branches/Portage_acc/libf/phylmd/create_limit_unstruct.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/create_limit_unstruct.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/create_limit_unstruct.F90	(revision 4446)
@@ -111,8 +111,8 @@
       WHERE(NINT(zmasq(:))/=1) rugos(:,l)=0.001
     ENDDO
-    CALL time_interpolation(ndays,rugos,'360d',rugos_year)
+    CALL time_interpolation(ndays,rugos,'360_day',rugos_year)
 
 ! albedo    
-    CALL time_interpolation(ndays,albedo,'360d',albedo_year)
+    CALL time_interpolation(ndays,albedo,'360_day',albedo_year)
 
 
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1DUTILS.h	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1DUTILS.h	(revision 4446)
@@ -1708,9 +1708,9 @@
 
 !
-        print *,'dtime, tau ',dtime,tau
-        print *, 'u_targ',u_targ
-        print *, 'v_targ',v_targ
-        print *,'zonal velocity ',u
-        print *,'meridional velocity ',v
+        !print *,'dtime, tau ',dtime,tau
+        !print *, 'u_targ',u_targ
+        !print *, 'v_targ',v_targ
+        !print *,'zonal velocity ',u
+        !print *,'meridional velocity ',v
         DO k = 1,klev
          DO i = 1,klon
@@ -1721,6 +1721,6 @@
             d_v(i,k) = d_v(i,k) + 1./tau*(v_targ(i,k)-v(i,k))
 !
-            print *,' k,u,d_u,v,d_v ',    &
-                      k,u(i,k),d_u(i,k),v(i,k),d_v(i,k)
+!           print *,' k,u,d_u,v,d_v ',    &
+!                     k,u(i,k),d_u(i,k),v(i,k),d_v(i,k)
 !           ENDIF
 !
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 4446)
@@ -10,5 +10,5 @@
 !    &       ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas                           &
      &       ,nt_cas,nlev_cas                                                               &
-     &       ,ts_cas,ps_cas,plev_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,ql_cas,qi_cas      &
+     &       ,ts_cas,tskin_cas,ps_cas,plev_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,ql_cas,qi_cas      &
      &       ,u_cas,v_cas,ug_cas,vg_cas                                                     &
      &       ,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas                               &
@@ -19,5 +19,5 @@
      &       ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                                           &
 !
-     &       ,ts_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
+     &       ,ts_prof_cas,tskin_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
      &       ,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas                              &
      &       ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                                 &
@@ -31,5 +31,9 @@
      &       ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
 ! EV tg instead of ts_cur
-             tg = ts_prof_cas 
+             tg = ts_prof_cas
+             if ((tg .eq. 0.) .and. (tskin_prof_cas .ne. 0.)) then
+                tg=tskin_prof_cas
+              endif
+
 !            psurf=plev_prof_cas(1)
              psurf=ps_prof_cas
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_nudge_sandu_astex.h
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_nudge_sandu_astex.h	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_nudge_sandu_astex.h	(revision 4446)
@@ -33,10 +33,10 @@
 
 
-	print*,'OLDLMDZ1D IOPH'
-      CALL iophys_ecrit('relax_thl',klev,'relax_thl','m/s',relax_thl)
-      CALL iophys_ecrit('d_t_adv',klev,'d_t_adv','m/s',d_t_adv)
-      CALL iophys_ecrit('temp',klev,'temp','m/s',temp)
-      CALL iophys_ecrit('q',klev,'q','m/s',q(:,1))
-      CALL iophys_ecrit('relax_q',klev,'relax_q','m/s',relax_q(:,1))
-      CALL iophys_ecrit('d_q_adv',klev,'d_q_adv','m/s',d_q_adv(:,1))
+      !	print*,'OLDLMDZ1D IOPH'
+      !      CALL iophys_ecrit('relax_thl',klev,'relax_thl','m/s',relax_thl)
+      !      CALL iophys_ecrit('d_t_adv',klev,'d_t_adv','m/s',d_t_adv)
+      !      CALL iophys_ecrit('temp',klev,'temp','m/s',temp)
+      !      CALL iophys_ecrit('q',klev,'q','m/s',q(:,1))
+      !      CALL iophys_ecrit('relax_q',klev,'relax_q','m/s',relax_q(:,1))
+      !      CALL iophys_ecrit('d_q_adv',klev,'d_q_adv','m/s',d_q_adv(:,1))
 
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 4446)
@@ -24,5 +24,5 @@
 !    &       ,year_ini_cas,day_ju_ini_cas,nt_cas,pdt_cas,nlev_cas                           &
      &       ,nt_cas,nlev_cas                                                               &
-     &       ,ts_cas,ps_cas,plev_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,ql_cas,qi_cas      &
+     &       ,ts_cas,tskin_cas,ps_cas,plev_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,ql_cas,qi_cas      &
      &       ,u_cas,v_cas,ug_cas,vg_cas                                                     &
      &       ,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas                               &
@@ -33,5 +33,5 @@
      &       ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                                           &
 !
-     &       ,ts_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
+     &       ,ts_prof_cas,tskin_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
      &       ,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas                              &
      &       ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                                 &
@@ -73,9 +73,15 @@
 
 ! initial and boundary conditions :
-!     tsurf = ts_prof_cas
       psurf = ps_prof_cas
-      !EV tg instead of ts_cur
-      tg = ts_prof_cas 
-      print*, 'tg=', tg
+      if (tskin_prof_cas .NE. 0.) THEN
+          tsurf=tskin_prof_cas
+      endif
+
+      tg = ts_prof_cas
+      if ((tg .eq. 0.) .and. (tskin_prof_cas .NE. 0.)) THEN
+          tg=tskin_prof_cas
+      endif
+
+
 
       do l = 1, llm
@@ -83,4 +89,5 @@
        q(l,1) = qv_mod_cas(l)
        q(l,2) = ql_mod_cas(l)
+       q(l,3) = qi_mod_cas(l)
        u(l) = u_mod_cas(l)
        ug(l)= ug_mod_cas(l)
